%define		tarball		xf86-video-nsc
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 nsc video driver
Name:		xorg-x11-drv-nsc
Version:	2.8.3
Release:	3
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source200:	nsc.xinf

Patch0:		xorg-x11-drv-nsc-assyntax.patch

ExclusiveArch:	%{ix86}

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 nsc video driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE200} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/nsc_drv.so
%{_datadir}/hwdata/videoaliases/nsc.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/nsc.4*

%changelog
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.8.3-3
- Rebuild against x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.8.3-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.8.3-1
- version update
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.8.2-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 2.8.1-1
- Initial release
